Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 269961 - Version bump request app-doc/doxygen-1.6.0
Summary: Version bump request app-doc/doxygen-1.6.0
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Development Tools Team
URL: http://www.stack.nl/~dimitri/doxygen/...
Whiteboard:
Keywords:
Depends on:
Blocks: 266693 275753
  Show dependency tree
 
Reported: 2009-05-15 15:55 UTC by Erik Zeek
Modified: 2009-09-02 02:52 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Diff from 1.5.8-r1 to 1.6.0 ebuild (doxygen-1.6.0.ebuild.diff,1.28 KB, patch)
2009-08-21 06:30 UTC, Martin von Gagern
Details | Diff
doxygen-1.6.0.ebuild (doxygen-1.6.0.ebuild,4.98 KB, text/plain)
2009-08-21 06:31 UTC, Martin von Gagern
Details
doxygen-1.5-dot-eps.patch (doxygen-1.5-dot-eps.patch,2.19 KB, patch)
2009-08-21 06:32 UTC, Martin von Gagern
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Zeek 2009-05-15 15:55:12 UTC
A new version of doxygen is available since 4/30/09 (so I think that I've waited long enough to bug you guys).

It fixes bug #266693 for me (and #264767, which appears to be a dupe).

A simple copy of the ebuild worked for installation.

Thanks,
Erik
Comment 1 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-10 14:05:28 UTC
I really need this one (in tree and stable) to solve a bug for kdelibs-3.5.10, which is partially stable. Do i have permission to do it? Thanks
Comment 2 Hubert Kowalski 2009-07-27 21:31:09 UTC
Please, bump it, as my work requires LaTeX output from doxygen and this version fixes annoying bug mentioned in #275753

Theo: if you can, please do so, as this bug bugs me for 2 months now...
Comment 3 Sebastian Pipping gentoo-dev 2009-08-18 03:03:03 UTC
Any news?
Comment 4 Sebastian Pipping gentoo-dev 2009-08-20 13:35:41 UTC
Doxygen 1.6.0 just got released;  please bump to that one instead.

This post-release patch may be interesting to have downstream:
http://doxygen.svn.sf.net/viewvc/doxygen?view=rev&revision=705

Erik, can you update the title for me?
Comment 5 Erik Zeek 2009-08-20 15:25:20 UTC
(In reply to comment #4)
> Doxygen 1.6.0 just got released;  please bump to that one instead.
> 
> This post-release patch may be interesting to have downstream:
> http://doxygen.svn.sf.net/viewvc/doxygen?view=rev&revision=705
> 
> Erik, can you update the title for me?
> 

Do you have a working ebuild yet?  I won't have time to make one until tomorrow.  libpng has been removed from the source (and some other changes) so the patches will need to be reworked/dropped (and the one you posted added).

Erik
Comment 6 Martin von Gagern 2009-08-21 06:30:14 UTC
Created attachment 201840 [details, diff]
Diff from 1.5.8-r1 to 1.6.0 ebuild

It seems to me that the three patches from 1.5.8-r1 can simply be removed, as they are already included in the current sources.

One exception to this is are those parts from doxygen-1.5-legacy-patches.diff which create several new patch files in the ${S}/doxygen-1.4.6/debian directory. Those aren't part of the curren sources, but I simply can't imagine how those files could have had any influcence on the Gentoo build either, given the fact that Gentoo doesn't apply debian patches by default afaik, and that due to different stripping levels they ended up in a rather strange directory. So I assume these were never really used by Gentoo, and dropping them will cause no harm.

nerdboy, you originally comitted doxygen-1.5-legacy-patches.diff, do you agree?

The attached diff from the 1.5.8-r1 ebuild to a new 1.6.0 ebuild drops all the old patches. Instead it adds the patch from bug #282150, which applies cleanly to 1.6.0 sources as well. The patch mentioned in comment #4 seems to be already included in the source tarball. The resulting ebuild compiles and installs all right, and its content managed to build the documentation for one of my projects which failed with 1.5.8-r1 due to bug #275753 and bug #282150.
Comment 7 Martin von Gagern 2009-08-21 06:31:07 UTC
Created attachment 201842 [details]
doxygen-1.6.0.ebuild

The full ebuild, in case you prefer it over the diff.
Comment 8 Martin von Gagern 2009-08-21 06:32:27 UTC
Created attachment 201844 [details, diff]
doxygen-1.5-dot-eps.patch

The patch from bug #282150, but with a reference to the corresponding upstream report included in its header.
Comment 9 Martin von Gagern 2009-08-24 18:06:57 UTC
Doxygen 1.6.0 isn't fully backwards compatible with 1.5.8-r1. Bug #282598 describes a case where doxygen 1.6.0 will break an ebuild. Considering that 1.5.8-r1 is broken in other ways, I don't think that this should prevent adding 1.6.0 to ~ARCH, but stabilizing it will probably require a bit of work.
Comment 10 Steve Arnold gentoo-dev 2009-08-25 06:34:40 UTC
Okay, this is now in CVS, but I've masked it, so people will have to explicitly unmask it themselves, at least for now.  The eigen dox failure has been reported upstream as well, so we'll see how it goes.

I'm also adding 1.5.9 to address bug #275753.
Comment 11 Sebastian Pipping gentoo-dev 2009-08-25 12:08:36 UTC
While you're at it: Doxygen 1.6.1 has just been released :-)

http://doxygen.svn.sourceforge.net/doxygen/?rev=707&view=rev